GET /pool/{uuid}/runtime/internal/

GET /pool/{uuid}/runtime/internal/

/pool/{uuid}/runtime/internal/

Request
URI
GET
https://{api_host}/api/pool/{uuid}/runtime/internal
COPY
Path Parameters
string
uuid
Required  

UUID of the object to fetch

Header Parameters
string
X-Avi-Tenant
Optional

Avi Tenant Header

string
X-Avi-Tenant-UUID
Optional

Avi Tenant Header UUID

string
X-CSRFToken
Optional

Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.

string
X-Avi-Version
Required  

The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns PoolInternal of type(s) application/json
{
    "application_persistence_profile_uuid": "string",
    "capacity_estimation": false,
    "capacity_estimation_ttfb_thresh": 0,
    "connection_ramp_duration": 0,
    "dpthread": 0,
    "fewest_tasks_feedback_delay": 0,
    "graceful_disable_timeout_sec": 0,
    "ignore_server_port": false,
    "latitude": 0,
    "lb_algo_rr_per_se": false,
    "lb_state": {
        "ref_count": 0
    },
    "location_valid": false,
    "longitude": 0,
    "num_hms_deduped": 0,
    "num_persistence_objs": 0,
    "num_phms": 0,
    "num_servers": 0,
    "oper_status": {
        "last_changed_time": {
            "secs": 0,
            "usecs": 0
        },
        "reason": [
            "string"
        ],
        "reason_code": 0,
        "reason_code_string": "string",
        "state": "string"
    },
    "persistence_handle_internal": {
        "aging_mode": 0,
        "hub_version": 0,
        "key_type": 0,
        "local_version": 0,
        "num_create_srv_null": 0,
        "num_delete_nonexistent": 0,
        "num_local_create_races": 0,
        "num_malloc_failures": 0,
        "num_malloc_failures_dp": 0,
        "num_malloc_failures_receive": 0,
        "num_pending_distribute": 0,
        "num_redis_create_races": 0,
        "num_redis_eol_truncate_events": 0,
        "num_redis_recvd": 0,
        "num_redis_sent_ag": 0,
        "num_redis_sent_dp": 0,
        "num_start_ageing_ignored": 0,
        "num_start_ageing_srv_null": 0,
        "num_start_ageing_val_null": 0,
        "num_tombstones": 0,
        "num_too_early_delete": 0,
        "num_unknown_srv_from_redis": 0,
        "redis_sync": 0,
        "vs_uuid": "string"
    },
    "pool_config": {
        "_last_modified": "string",
        "analytics_policy": {
            "metrics_realtime_update": {
                "duration": 0,
                "enabled": false
            }
        },
        "analytics_profile_ref": "string",
        "append_port": "string",
        "application_persistence_profile_ref": "string",
        "autoscale_launch_config_ref": "string",
        "autoscale_networks": [
            "string"
        ],
        "autoscale_policy_ref": "string",
        "capacity_estimation": false,
        "capacity_estimation_ttfb_thresh": 0,
        "cloud_config_cksum": "string",
        "cloud_ref": "string",
        "conn_pool_properties": {
            "upstream_connpool_conn_idle_tmo": 0,
            "upstream_connpool_conn_life_tmo": 0,
            "upstream_connpool_conn_max_reuse": 0,
            "upstream_connpool_server_max_cache": 0
        },
        "connection_ramp_duration": 0,
        "created_by": "string",
        "default_server_port": 0,
        "delete_server_on_dns_refresh": false,
        "description": "string",
        "domain_name": [
            "string"
        ],
        "east_west": false,
        "enable_http2": false,
        "enabled": false,
        "external_autoscale_groups": [
            "string"
        ],
        "fail_action": {
            "local_rsp": {
                "file": {
                    "content_type": "string",
                    "file_content": "string"
                },
                "status_code": "string"
            },
            "redirect": {
                "host": "string",
                "path": "string",
                "protocol": "string",
                "query": "string",
                "status_code": "string"
            },
            "type": "string"
        },
        "fewest_tasks_feedback_delay": 0,
        "graceful_disable_timeout_sec": 0,
        "graceful_hm_down_disable_timeout": 0,
        "gslb_sp_enabled": false,
        "health_monitor_refs": [
            "string"
        ],
        "horizon_profile": {
            "blast_port": 0,
            "pcoip_port": 0
        },
        "host_check_enabled": false,
        "http2_properties": {
            "max_http2_control_frames_per_connection": 0,
            "max_http2_header_field_size": 0
        },
        "ignore_server_port": false,
        "inline_health_monitor": false,
        "ipaddrgroup_ref": "string",
        "lb_algo_rr_per_se": false,
        "lb_algorithm": "string",
        "lb_algorithm_consistent_hash_hdr": "string",
        "lb_algorithm_core_nonaffinity": 0,
        "lb_algorithm_hash": "string",
        "lookup_server_by_name": false,
        "markers": [
            {
                "key": "string",
                "values": [
                    "string"
                ]
            }
        ],
        "max_concurrent_connections_per_server": 0,
        "max_conn_rate_per_server": {
            "action": {
                "file": {
                    "content_type": "string",
                    "file_content": "string"
                },
                "redirect": {
                    "add_string": "string",
                    "host": {
                        "tokens": [
                            {
                                "end_index": 0,
                                "start_index": 0,
                                "str_value": "string",
                                "type": "string"
                            }
                        ],
                        "type": "string"
                    },
                    "keep_query": false,
                    "path": {
                        "tokens": [
                            {
                                "end_index": 0,
                                "start_index": 0,
                                "str_value": "string",
                                "type": "string"
                            }
                        ],
                        "type": "string"
                    },
                    "port": 0,
                    "protocol": "string",
                    "status_code": "string"
                },
                "status_code": "string",
                "type": "string"
            },
            "explicit_tracking": false,
            "fine_grain": false,
            "http_cookie": "string",
            "http_header": "string",
            "rate_limiter": {
                "burst_sz": 0,
                "count": 0,
                "name": "string",
                "period": 0
            }
        },
        "min_health_monitors_up": 0,
        "min_servers_up": 0,
        "name": "string",
        "networks": [
            {
                "network_ref": "string",
                "server_filter": "string"
            }
        ],
        "nsx_securitygroup": [
            "string"
        ],
        "pki_profile_ref": "string",
        "placement_networks": [
            {
                "network_ref": "string",
                "subnet": {
                    "ip_addr": {
                        "addr": "string",
                        "type": "string"
                    },
                    "mask": 0
                }
            }
        ],
        "pool_type": "string",
        "request_queue_depth": 0,
        "request_queue_enabled": false,
        "rewrite_host_header_to_server_name": false,
        "rewrite_host_header_to_sni": false,
        "routing_pool": false,
        "server_disable_type": "string",
        "server_name": "string",
        "server_reselect": {
            "enabled": false,
            "num_retries": 0,
            "retry_nonidempotent": false,
            "retry_timeout": 0,
            "svr_resp_code": {
                "codes": [
                    0
                ],
                "ranges": [
                    {
                        "begin": 0,
                        "end": 0
                    }
                ],
                "resp_code_block": [
                    "string"
                ]
            }
        },
        "server_timeout": 0,
        "servers": [
            {
                "autoscaling_group_name": "string",
                "availability_zone": "string",
                "description": "string",
                "discovered_networks": [
                    {
                        "network_ref": "string",
                        "subnet": [
                            {
                                "ip_addr": {
                                    "addr": "string",
                                    "type": "string"
                                },
                                "mask": 0
                            }
                        ],
                        "subnet6": [
                            {
                                "ip_addr": {
                                    "addr": "string",
                                    "type": "string"
                                },
                                "mask": 0
                            }
                        ]
                    }
                ],
                "enabled": false,
                "external_orchestration_id": "string",
                "external_uuid": "string",
                "health_monitor_refs": [
                    "string"
                ],
                "hostname": "string",
                "ip": {
                    "addr": "string",
                    "type": "string"
                },
                "location": {
                    "latitude": "number",
                    "longitude": "number",
                    "name": "string",
                    "tag": "string"
                },
                "mac_address": "string",
                "nw_ref": "string",
                "port": 0,
                "prst_hdr_val": "string",
                "ratio": 0,
                "resolve_server_by_dns": false,
                "rewrite_host_header": false,
                "server_node": "string",
                "static": false,
                "verify_network": false,
                "vm_ref": "string"
            }
        ],
        "service_metadata": "string",
        "sni_enabled": false,
        "ssl_key_and_certificate_ref": "string",
        "ssl_profile_ref": "string",
        "tenant_ref": "string",
        "tier1_lr": "string",
        "url": "string",
        "use_service_port": false,
        "use_service_ssl_mode": false,
        "uuid": "string",
        "vrf_ref": "string"
    },
    "pool_refcnt": {
        "name": "string",
        "phm_refcnt": [
            {
                "name": "string",
                "refcnt": 0,
                "uuid": "string"
            }
        ],
        "refcnt": 0,
        "server_refcnt": [
            {
                "ip": {
                    "addr": "string",
                    "type": "string"
                },
                "port": 0,
                "refcnt": 0,
                "shm_refcnt": [
                    {
                        "name": "string",
                        "refcnt": 0,
                        "uuid": "string"
                    }
                ]
            }
        ],
        "uuid": "string"
    },
    "proc_id": "string",
    "prst_hdr_name": "string",
    "prst_id": 0,
    "ref_count": 0,
    "se_uuid": "string",
    "server_auto_scale": false,
    "use_service_port": false,
    "use_service_ssl_mode": false
}
string
application_persistence_profile_uuid
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
capacity_estimation
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
capacity_estimation_ttfb_thresh
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As int32 As int32
connection_ramp_duration
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
dpthread
Optional

Indicates whether VS is L4 or L7. Field introduced in 18.1.5, 18.2.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
fewest_tasks_feedback_delay
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As int32 As int32
graceful_disable_timeout_sec
Optional

Used to gracefully disable a server. Virtual service waits for the specified time before terminating the existing connections to the servers that are disabled. Field introduced in 31.2.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
ignore_server_port
Optional

Indicates whether server port is ignored in consistent hash and lpbm creation. Field introduced in 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
latitude
Optional

Pool latitude for GSLB pools, calculated based on server locations. Field introduced in 32.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
lb_algo_rr_per_se
Optional

Indicates whether round robin load balancing algorithm is per SE. Field introduced in 21.1.5, 22.1.3. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

object
lb_state
Optional

lb_state

boolean
location_valid
Optional

Flag indicating if pool location is valid for GSLB pools. Field introduced in 32.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
longitude
Optional

Pool longitude for GSLB pools, calculated based on server locations. Field introduced in 32.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
num_hms_deduped
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As int64 As int64
num_persistence_objs
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
num_phms
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As int32 As int32
num_servers
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

object
oper_status
Optional

oper_status

object
persistence_handle_internal
Optional

persistence_handle_internal

object
pool_config
Optional

pool_config

object
pool_refcnt
Optional

pool_refcnt

string
proc_id
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
prst_hdr_name
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
prst_id
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As int32 As int32
ref_count
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
se_uuid
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
server_auto_scale
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
use_service_port
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
use_service_ssl_mode
Optional

This applies only when use_service_port is set to true. If enabled, SSL mode of the connection to the server is decided by the SSL mode on the Virtualservice service port, on which the request was received. Field introduced in 21.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.


401

log in failed

Operation doesn't return any data structure

404

object not found

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/pool/{uuid}/runtime/internal